Bug 19672 - Move tools templates JavaScript to the footer: More MARC tools
Summary: Move tools templates JavaScript to the footer: More MARC tools
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Josef Moravec
URL:
Whiteboard:
Keywords:
Depends on: 19647
Blocks: 17858
  Show dependency treegraph
 
Reported: 2017-11-21 15:10 UTC by Owen Leonard
Modified: 2017-12-14 17:54 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19672: Move tools templates JavaScript to the footer: More MARC tools (28.46 KB, patch)
2017-11-21 17:05 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19672: Move tools templates JavaScript to the footer: More MARC tools (28.51 KB, patch)
2017-11-22 08:26 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 19672: Move tools templates JavaScript to the footer: More MARC tools (28.57 KB, patch)
2017-12-06 16:39 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2017-11-21 15:10:55 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header.

This patch will do so for the more MARC-related templates in the "Catalog" section of Tools.
Comment 1 Owen Leonard 2017-11-21 17:05:16 UTC Comment hidden (obsolete)
Comment 2 Claire Gravely 2017-11-22 08:26:47 UTC
Created attachment 69266 [details] [review]
Bug 19672: Move tools templates JavaScript to the footer: More MARC tools

This patch modifies some staff client templates from the "Tools"
section so that JavaScript is included in the footer instead of the
header.

- Automatic item modifications by age
- MARC modification templates
- Stage MARC records for import
- Staged MARC record management

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Josef Moravec 2017-12-06 16:39:24 UTC
Created attachment 69565 [details] [review]
Bug 19672: Move tools templates JavaScript to the footer: More MARC tools

This patch modifies some staff client templates from the "Tools"
section so that JavaScript is included in the footer instead of the
header.

- Automatic item modifications by age
- MARC modification templates
- Stage MARC records for import
- Staged MARC record management

To test, apply the patch and test the JavaScript-driven features of
each modified template: All button controls, DataTables functionality,
form validation, etc.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 4 Jonathan Druart 2017-12-11 14:37:00 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2017-12-14 17:54:05 UTC
Awesome work all! Skipping for 17.11, enhancement